Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Classes | Public Types | Public Member Functions | Friends | List of all members
LatBuilder::GenSeq::PowerSeq< BASE > Class Template Reference

Sequence filter that raises values to a given power, optionally modulo a given integer. More...

`#include <PowerSeq.h>`

Inherits LatBuilder::BridgeSeq< PowerSeq< BASE >, BASE, BASE::value_type, BridgeIteratorCached >.

## Classes
struct | RebindTraversal
| Rebinds the traversal type. More...

## Public Types
typedef self_type::Base | Base
typedef self_type::value_type | value_type
typedef self_type::size_type | size_type
typedef BASE::Traversal | Traversal
Public Types inherited from LatBuilder::BridgeSeq< PowerSeq< BASE >, BASE, BASE::value_type, BridgeIteratorCached >
typedef BridgeSeq< PowerSeq < BASE >, BASE, BASE::value_type, BridgeIteratorCached > | BridgeSeq_
typedef BASE | Base
typedef BASE::value_type | value_type
typedef Base::size_type | size_type
typedef BridgeIteratorCached < PowerSeq< BASE > > | const_iterator

## Public Member Functions
| PowerSeq (Base base=Base(), unsigned int power=1, Modulus modulus=0)
| Constructor. More...
template<typename BASE2 >
| PowerSeq (const PowerSeq< BASE2 > &other, typename Base::Traversal trav=typename Base::Traversal())
| Cross-traversal copy-constructor.
template<class TRAV2 >
RebindTraversal< TRAV2 >::Type | rebind (TRAV2 trav) const
| Returns a copy of this object, but using a different traversal policy.
value_type | element (const typename Base::const_iterator &it) const
| Computes and returns the output value of the filters for the basic merit value pointed to by `it`.
size_type | size () const
| Returns the size of the underlying sequence.
void | resize (size_type size)
| Calls resize() on the base sequence.
Modulus | modulus () const
unsigned int | power () const
Public Member Functions inherited from LatBuilder::BridgeSeq< PowerSeq< BASE >, BASE, BASE::value_type, BridgeIteratorCached >
| BridgeSeq (Base base=Base())
| Constructor. More...
Base & | base ()
| Returns the base sequence.
const Base & | base () const
void | setBase (Base b)
| Changes the base sequence to `b`.
const_iterator | begin () const
| Returns an iterator pointing to the first element in the sequence.
const_iterator | end () const
| Returns an iterator pointing past the last element in the sequence.

## Friends
template<typename >
class | PowerSeq

## Detailed Description

### template<typename BASE>
class LatBuilder::GenSeq::PowerSeq< BASE >

Sequence filter that raises values to a given power, optionally modulo a given integer.

## Constructor & Destructor Documentation

template<typename BASE>

LatBuilder::GenSeq::PowerSeq< BASE >::PowerSeq | ( | Base | base = `Base()`,
|  | unsigned int | power = `1`,
|  | Modulus | modulus = `0`
| ) |  |
| inline

Constructor.

Parameters

  base | Base sequence.
  power | Power to which the elements of the sequence will be raised.
  modulus | If nonzero, integer against which to apply the modulo.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/GenSeq/PowerSeq.h